"use strict";

const React = require("react");

module.exports = function Layout({ children }) {
	return (
		<html lang="en">
			<head>
				<meta charSet="UTF-8"/>
				<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
				<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
				<title>seekseek</title>
				<link rel="stylesheet" href="/css/style.css"/>
			</head>
			<body>
				<div className="header">
					<div className="wrapper">
						<a className="logoContainer" href="/">
							<img src="/images/logo.svg" alt="seekseek logo" className="logo"/>
							<span className="siteTag">datasheets</span>
							<span className="betaTag">beta</span>
						</a>
					</div>
				</div>
				<div className="contents">
					{children}
				</div>
				<div className="footer">
					<div className="wrapper">
						<a href="https://matrix.to/#/#seekseek:pixie.town?via=pixie.town&via=matrix.org&via=librepush.net" className="chat">
							Come chat with us!
						</a>
						<span className="linkSpacer">•</span>
						<a href="/contact" className="chat">
							Contact/Abuse
						</a>
					</div>
				</div>
				<script src="/js/bundle.js"></script>
			</body>
		</html>
	);
};
