"use strict";

const React = require("react");

const Layout = require("./_layout");

module.exports = function Contact() {
	return (
		<Layout>
			<div className="staticContent">
				<h2>Do you have questions about SeekSeek, or do you want to contribute to the project?</h2>
				<p>Please <a href="https://matrix.to/#/#seekseek:pixie.town?via=pixie.town&via=matrix.org&via=librepush.net">join us in our Matrix room</a>!</p>
				<p>We actively watch the channel, and we're always happy to answer any questions you might have. If you have a criticism, we encourage you to share that too! The only requirement is that you do so constructively and respectfully. SeekSeek is a community project, and your feedback is crucial to its success!</p>
				<p>If you'd like to work on SeekSeek with us, it's also a good place to start - let's have a chat and see whether it'd be a good fit. Technical skills, while useful, are not required; we also often need people to do data entry and research work, for example.</p>

				<h2>Are you a component distributor or manufacturer?</h2>
				<p>Please get in touch! SeekSeek is a non-commercial public service, and we want to make sure that we're not accidentally causing harm. We try to scrape very conservatively and prefer sources that require little server resources on your end, so as to not cause load issues - but it's always possible that we overlooked something.</p>
				<p>You can reach one of us directly by e-mail at <a href="mailto:admin+seekseek.cryto.net">admin+seekseek@cryto.net</a>, though you are of course also welcome to join our Matrix room.</p>

				<p><strong>If our scrapers are causing technical issues for you:</strong> Please tell us what the problem is on your end, and what you think the best solution would be. Our scraping infrastructure is <em>very</em> flexible, and we can almost certainly accommodate your preference. We can also deal with custom feed protocols, even when they don't use HTTP.</p>

				<p><strong>If you have concerns about the accuracy or recency of our results:</strong> Please tell us what the best way would be to correct the issue. We try to avoid such issues by only scraping from reputable component distributors and manufacturers directly (preferring the latter when there are multiple sources), but nevertheless we sometimes have outdated results. We're open to doing as much manual correction work as our volunteer-based model allows.</p>

				<p><strong>If you are a component seller, and interested in having your prices listed:</strong> We're working on expanding the search with live component prices and stock levels across distributors. Unfortunately, we cannot keep this data fresh enough without a price feed - extracting this data continuously from product listings would likely create an unacceptable load on your end.</p>
				<p>If you would like to be listed, please reach out with information about where we can access your price feeds! As SeekSeek is a public service, being listed is completely free of charge, and we do not offer any special advertising positions - though of course, a donation to keep the lights on would be much appreciated. If a regular donation is organizationally difficult for you and a purchasing invoice is required, you can also choose to hire one of our maintainers to implement the price feed integration, for example.</p>

				<p><strong>If you would like to request a copyright takedown:</strong> If you are the copyright holder of datasheet(s) listed in our search, you can of course request that we remove these datasheets from the results, and we will do so if your report is valid.</p>
				
				<p>However, we want to ask that you talk with us about it first - we are very open to addressing any practical concerns you may have, and it's not good for <em>anybody</em> to just remove them entirely. Your customers will find it more difficult to find documentation on your products, and that will do no good for your business either!</p>
			</div>
		</Layout>
	);
};
